clonesatchmo traceback

Create issue
Issue #1214 resolved
Former user created an issue

If Django is installed from svn using a link set pointing to site_packages, then clonesatchmo.py fails with a traceback. This is because: {{{ from pkg_resources import require ... require('django >=1.2.3') }}} doesn't realize Django is installed.

pkg_resources is a component of setuptools and require doesn't work unless Django is installed using setuptools.

require is used in: {{{ /satchmo/projects/large/manage.py /satchmo/projects/simple/manage.py /satchmo/projects/base/manage.py /satchmo/projects/skeleton/manage.py }}}

Comments (2)

  1. Chris Moffitt repo owner

    Removing the code that tries to force the django version check in the manage.py files. Instead, we will use satchmo_check to let the user know if there are issues. Closes #1214

    7c47408c997e

  2. Log in to comment